assert = require 'assert'
should = require('chai').should()
expect = require('chai').expect
calc = require '../calc'

describe 'calculator', () ->
	it 'should exist an calc obj', () ->
		expect(calc).to.be.a 'object'
	it 'should have adder function', () ->
		expect(calc.adder).to.be.a 'function'
	it 'should add input together', () ->
		calc.adder('').should.equal '0'
	it 'should accept a number and return it', () ->
		calc.adder('1').should.equal 1
		calc.adder('2').should.equal 2
	it 'handles two numbers by putting them together', () ->
		calc.adder('1,2').should.equal 3
	it 'handles any number of numbers by putting them together', () ->
		calc.adder('1,20,3').should.equal 24
		calc.adder('3,2,1').should.equal 6
		calc.adder('1,2,3,4').should.equal 10
	it 'handles new lines between commands', () ->
		calc.adder('1\n2,3').should.equal 6
	it 'should support specifying custom delimiter', () ->
		calc.adder('//;\n1;2').should.equal 3